> ## Documentation Index
> Fetch the complete documentation index at: https://docs.corbado.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Delete user passkey

> Deletes a passkey for the currently logged in user.




## OpenAPI

````yaml https://frontendapi.cloud.corbado.io/v2/openapi.yaml delete /v2/me/passkeys/{credentialID}
openapi: 3.0.3
info:
  version: 2.0.4
  title: Corbado Frontend API
  description: >-
    Overview of all Corbado Frontend API calls to implement passwordless
    authentication.
  contact:
    name: Corbado team
    email: support@corbado.com
    url: https://www.corbado.com
servers:
  - url: https://{projectId}.frontendapi.corbado.io
    variables:
      projectId:
        description: Your Corbado project ID
        default: pro-000000
security:
  - bearerAuth: []
  - projectID: []
tags:
  - name: Auth
    description: All API calls that are related to an authentication process.
  - name: Configs
    description: All API calls to manage configurations
  - name: Users
    description: All API calls to manage users
  - name: CorbadoConnect
    description: All API calls that are related to a connect process
  - name: OIDC
    description: All API calls that are related to OpenID Connect
  - name: WellKnown
    description: All API calls that are related to WellKnown assets
paths:
  /v2/me/passkeys/{credentialID}:
    delete:
      tags:
        - Users
      summary: Delete user passkey
      description: |
        Deletes a passkey for the currently logged in user.
      operationId: CurrentUserPasskeyDelete
      parameters:
        - in: path
          required: true
          name: credentialID
          schema:
            type: string
          description: Unique identifier of the passkey.
          example: cre-940364795071150919
      responses:
        '200':
          description: tbs
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/mePasskeyDeleteRsp'
components:
  schemas:
    mePasskeyDeleteRsp:
      type: object
      required:
        - id
      properties:
        id:
          type: string
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT
      description: >
        After a user logs in successfully, a session is created and a JWT token
        is returned.

        This token represents the user's authenticated session.

        It must be included in the `Authorization` header as a Bearer token for
        all protected endpoints:


        `Authorization: Bearer <your-token>`


        The server will validate this token to authorize access.
    projectID:
      type: apiKey
      in: header
      name: X-Corbado-ProjectID
      description: |
        Identifies your project context for Corbado.
        Include this in the request headers as:

        `X-Corbado-ProjectID: <your-project-id>`

````